*COMDECK  HISTORY  FCC0885XA GPO/MII - CHANGE ILD TO TLD IF IH = IT. SO CODE IS CORRECT 
          WHEN WE MOVE AN INVARIANT FUNCTION REFERENCE FROM AN INNER LP.
          SIJ    4/7/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1655X MCG - RESOLVE DEADLOCK SITUATIONS IN A WIDER VARIETY OF CASES 
          SIJ    77/02/28    APPLIES TO FTN 4.6 
  
 FCC1656X MCG/JAM/CRC - COUNT A INTERFERING STORE AS A USE WHEN 
          CALCULATING THE NEXT USE DISTANCE.
          SIJ    2/9/77      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1660X SQZ/IA&IS - DO NOT REDUCE (I+-J)-+I COMBINATIONS IF FIRST IS
          AN INCREMENT AND THEY SPAN BASIC BLOCKS.
  
          SIJ    2/24/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1584X GPO/MII/LD - DO NOT MOVE INDEXED LD OFF A SIDE BRANCH IF THE
          SUBSCRIPT IS NOT A LD OF A SIMPLE INTEGER VARIABLE. 
          SIJ    3/9/77      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1677X PROSEQ/ESR - TRANSFER UDT ORDINAL FROM LD/ST TO STT FOR USE BY
          GRA SO WE DONT KILL STORES OF SIMPLE LCM VARIABLES .
          SIJ    3/15/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1695X BDT/FIL - FORM INTERFERENCE LINKS BETWEEN CONDITIONAL JUMPS 
          WHEN CALLED FROM *RIO* SO IT REORDERS THE SEQUENCE CORRECTLY. 
          SIJ    3/16/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1700X PURGE FCC0715 SINCE IT IS NO LONGER NECESSARY.
          SIJ    3/28/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1710X GPO/CIF - WHEN AN *IP* EXPRESSION IS OF THE FORM (I+INVEXP)-I,
          ETC IS REDUCED BY *SQZ* TO *INVEXP* DO NOT FORM THE *IP*
          FORMULAS IN *IIT* FOR IT. 
          SIJ    3/31/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1719X SQZ/IS - DO NOT CALL *CIA* IF HAVE  IS I,CON,K SO WE DONT 
          REDUCE K = CON-K TO K = K-CON AFTER A LOOP. 
          SIJ    4/1/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1739X BDT - CLEAR *TSTC* AFTER *FIL* SO IT IS RESET WHEN *GAS* IS 
          CALLED TO GET MORE SPACE. 
          SIJ    5/1/77      APPLIES TO FTN 4.6, OPT
  
 FCC1740X GRA/IRA/XMT - IF PRED HAS NO X-VALUE THEN USE B-REG VALUE 
          AND GENERATE A *SA* INSTEAD.
          SIJ    5/1/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1755X UDT/PBB - SET  THE FINAL JUMP BIT IN THE *BIT* ENTRY OF 
          A BLOCK THAT HAS A *JIN* INSTRUCTION. 
          GJM    06/01/77    APPLIES TO FTN 4.6,OPT = 2 
  
 FCC1770X GRA/ERC/RS - DO NOT SET *IRA* BIT FOR CASE UL = N $ DO I =1,UL
          WHERE N IS A F.P. AND IS CHANGED TO A *AC* IN THE OUTER LOOP
          BECAUSE OF REFS IN THE INNER LOOP.
          SIJ    5/26/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1825X BDT/RIO - FORCE LATE OUTPUT OF INSTRUCTIONS THAT *PRS* TO AN
          X-REGISTERS IF THEY HAVE NO OPERAND PREDECESSORS. 
          SIJ    8/9/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1828X GRA/MFA - DO NOT ADD ADDRESS CANIDATES WITH A H2 TO THE MFA 
          ADDRESS CANIDATE TABLE SINCE THERE IS NOT ROOM FOR THE H2 
          FIELD IN IT.
          SIJ    77/08/04    APPLIES TO FTN 4.6, OPT=2
  
 FCC1837X PROSEQ/AIS - SET LAST USE ADDRESS OF INSTRUCTION THAT *PRS* 
          A UJP OR FULL LOCK *RS* TO END OF SUBSEQUENCE SO WE DONT
          END UP WITH A B-REGISTER DEADLOCK IN *MCG*. 
          SIJ    8/24/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1845X MCG/CRA - ALLOW OVERRIDE OF FULL LOCK RS"S TO B-REGISTERS 
          SO A SWAP(BI,BJ) SEQUENCE OF INSTRUCTIONS WORKS.
          SIJ    8/29/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1858X GPO - ENSURE 0 TERMINATOR AT END OF *BIT* WHEN INITIALIZING IT
          SIJ    9/21/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC0238AX GPO/MII - MARK INVARIANT *IM* AS UNSAFE IF ANY OF ITS
          OPERANDS MAY CAUSE AN INTERRUPT WHEN THE *IM* IS EXECUTED.
          SQZ - INSERT AN UNPACK INSTRUCTION PRIOR TO UNSAFE IM.
          SIJ    6/6/77      APPLIES TO FTN 4.6, OPT=1,2
  
 CCGA004  ADD COPYRIGHT INFORMATION TO OLDPL
          SIJ    2/2/78 
  
 FCC1908  BDT/SIO - DO NOT STACK STORES IF RF > RI AND RF NOT PROCESSED 
          WHEN THE RI IS ENCOUNTERED. 
          SIJ    3/8/78      APPLIES TO FTN 4.6 
  
 FCC1918  GRA/OSI - MARK STT"S THAT SETUP INITIAL ADDRESS"S WITH THE
          *SIA* BIT SO THAT PROSEQ/ESR KNOWS TO TRUNCATE THE ADDRESS
          (LCM AND FP) TO 18 BITS TO AVOID PROBLEMS WHEN THE SUBSCRIPT
          EXPRESSION IS NEGATIVE. 
          SIJ    2/2/78      APPLIES TO FTN 4.6, OPT=2 ON 7600 ONLY 
  
 FCC1928  SQZ/SA - DONT"T SET RF BIT FOR PRED SO WE DONT INCORRECTLY
          REDUCE 60 BIT ARITHMETIC TO 18 BITS IN GPO/GRA. 
          SQZ/STT - SET RF BIT ONLY IF IH " 0 FOR SAME REASONS. 
          SIJ    3/1/78      APPLIES TO FTN 4.6, OPT=2
  
 CCGA005  CCGTEXT - ADD A CONDITIONAL LOAD FACILITY TO CGIA 
          VIA A SECOND PARAMETER IN THE *USE* PSEUDO
          SIJ    2/23/78
  
 CCGA006  MCG - FIX MISC BUGS IN JAM MODE THAT ONLY SHOWED UP WHEN
          PL/I WAS THE HOST..  CORRECTLY ZERO THE USES COUNT FOR
          OMMITTED SXT"S SO WE DON"T ERRONEOUSLY STORE OUT REGISTERS. 
          CORRECTLY RESET N.SP AFTER AN *EOS*, *UJP*, ETC TO AVOID
          SPURRIOUS CALLS TO JAM MODE.
          DO NOT CALL *RIO* WITH FLAG=1 SINCE *BDT* MAY FOUL UP IF A
          STORE STACK OCCURS. 
          SIJ    4/18/78     APPLIES TO CCG 
  
 CCGA007  CGIA - SET CONDITIONAL LOAD BIT FOR REPI TABLES 
          SIJ    6/6/78 
  
 FCC1997  GRA/DUM - SET *EU* FOR INCREMENT CANIDATE IF STORE IS NOT NEXT
          TO INCREMENT VARIABLE.
          SIJ    6/6/78      APPLIES TO FTN 4.6, OPT=1,2
  
 CCG25    GRA - SPECIAL CASE LOOPS OF THE FORM -
          DO LAB J =
          A(I) = A(I) OP EXPR 
          SO AS TO ASSIGN A(I) TO AN X-REGISTER IN THE LOOP 
  
 CCG26    CFA/MRB - IMPLEMENT LISTING OF DEAD CODE MESSAGES ACCORDING 
          TO REVISED INTERFACE SPEC SECTION 3.2.69  CALL HOST ROUTINE 
          *HR$LDC$ WITH TABLE OF LINE NUMBERS IN *RND*. 
          CCGTEXT - FIX LXQ, RPVDEF AND RPVFWA MACROS SO AS TO AGREE
          WITH FTN 5 MACRO DEFINITIONS9 
  
 CCG27    SQZ/JPX - ELIMINATE JPX"S IF OPERAND IS CONSTANT
          SIJ    7/20/78
  
 FCC2038  MCG/CSI - AWWAYS START AT X6 AFTER ISSUING A STORE SINCE ISI
          WILL NOT RETURN B3 SET PROPERLY IF A DWL WAS ISSUED.
          SIJ    8/8/78      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC2045  GPO/UPB - GET CORRECT TLD FOR XMT IN OPT=1 WHEN PROCESSING
          ABNORMAL IP IN LOOP WITH MULTIPLE BLOCKS. 
  
 FCC2056  GRA/DUM - MARK PRED OF RS AS *EU* SO WE DONT BIAS THE 
          ASSIGNMENT OF AN OUTER LOOP INDEX WHICH HAS BEEN ASSIGNED TO
          A REGISTER IN A INNER LOOP. 
          SIJ    8/24/78     APPLIES TO FTN 4.7, OPT=2
  
 FCC2051  GRA/IRA - PROCESS HOLDING BLOCK OF INNER LOOP SO THAT ANY 
          EPILOGUE POST STORES THAT HAVE TO BE PLACED IN IT ARE.
          SIJ    8/14/78     APPLIES TO FTN 4.7, OPT=2
  
 CCGA008  CGIA - FIX RELOCATION AFTER SET * 
          SIJ/KIT  9/26/78
  
 FCC2072  SQZ/DRL - IF LVL2 = DIRECT AND PREDECESSOR IS AN *STT* THEN 
          REPLACE SEMANTIC INFO IN DRL/DWL WITH SEMANTIC INFO IN *STT*
          IN CASE *ARF* HAS CHANGED THE RF BECAUSE IT WAS *IAC* SO WE 
          DON"T MODE OUT LATER ON.
          SIJ    9/14/78     APPLIES TO FTN 4.7, OPT
  
 CCG31    FIX INITIALIZATION FOR CODE GENERATED IN LOCAL BLOCKS 
 CCG36    GPO/MII,FII - EXTEND GPO TO HANDLE INCREMENTS WITH *LDC*"S    000120
          AND LARGE MASKS.                                              000130
          SIJ    11/15/78    APPLIES TO FTN 5                           000140
                                                                        000150
 CCG32    BDT/CRW - FIX PROCESSING OF TYPE IV INSTRUCTIONS  SO THAT     000540
          X-REGISTER ASSIGNMENT WORKS IN OPT=1 WHEN WE HAVE A MULTI     000550
          BLOCK LOOP.                                                   000560
          SIJ    11/11/78                                               000570
                                                                        000580
 CCG34    SQZ,GRA - DO NOT SET RF BIT FOR STT IF IH = TRACE. SO         000710
          ASSIGNED GOTO PROCESSING WORKS CORRECTLY                      000720
          SIJ    11/16/78    APPLIES TO FTN 5                           000730
                                                                        000740
 CCG35    MISC LEVEL 0 CODE FIXS                                        001130
          SIJ AND MAH  11/20/78    APPLIES TO FTN 5                     001140
                                                                        001150
 FCC2074  GRA/ERC - DO NOT ENTER AN STT THAT IS *IRA* IF IH " 0 AND     002120
          RF IS NOT A VALUE CANIDATE AS THIS IS AN ERROR  ( LOCF(A(FP)))002130
          SIJ    9/15/78     APPLIES TO FTN 4.7, OPT=2                  002140
                                                                        002150
 FCC2091  GPO/TRP - ALWAYS MAKE *HB* OF *FTH* LOOP REMOTE ( *UJP* AT    002310
          END ) SINCE *TRP* DOESN"T KNOW IF POST STORES WILL BE         002320
          INSERTED BY *IPS* LATER.                                      002330
          SIJ    11/21/78    APPLIES TO FTN 4.6, OPT=2                  002340
                                                                        002350
 FCCA462  GPO/MII - CHANGE INSTANCES OF 18 BIT ARITHMETIC IN JUMP       002420
          PROCESSORS TO 60 BIT SO TOP BITS OF *N.LJ* DON"T GET DESTROYED002430
          SIJ    11/24/78    APPLIES TO FTN 4.7, OPT=2                  002440
                                                                        002450
 -I2B-    CY=    OF P21MODS AND CY=    OF CGMMODS PICKED UP 
          FOR SYSTEM MODE BUILD.
          CGM    78-11-12    APPLIES TO FTN5PL, CY=50.
  
 -I2D-    CY=    OF P22MODS AND CY=    OF CGMMODS PICKED UP 
          FOR SYSTEM MODE BUILD.
          CGM    78-11-12    APPLIES TO FTN5PL, CY=46.
  
 -R2A-    CY=    OF P23MODS AND CY=    OF CGMMODS PICKED UP 
          FOR SYSTEM MODE BUILD.
          CGM    79-03-16    APPLIES TO FTN5PL, CY=52.
  
 *L498*    ************************************************ 
 CCGA009  GRA. AVOID USE OF NON-INTERFACE SYMBOL *OPT2* TO PREVENT
          ERROR IN PL1 BUILD. 
          MAH    79/5/07     APPLIES TO CCG.
  
 *L505*    ************************************************ 
 F2950CC  MIO/WMB,PROSEQ/AIS.  MODIFY CODE TO USE HF MICROS AND FIX 
          BAD PLUG CODE.
          SPS    79/5/07     APPLIES TO CCG.
  
 CCGA010  BDT/FIL.  APPLY FCC0715 TO BDT. 
          SPS    05-15-79    APPLIES TO CCG.
  
 CCGA011  CGTM/ATS,CCGTMTV.  IMPROVE DYNAMIC TABLE ALLOCATION SCHEME. 
          SPS    05-16-79    APPLIES TO CCG.
  
 CCGA012  MIO,UDT,OUTPTK/SETST.  ALLOW USE OF MAX AVAIL ECS. FIX SNAPS. 
          SPS    05-14-79    APPLIES TO CCG.
  
 CCGA013  SQZ/BTERM.  CHECK CC$OPF FLAG FOR CONDITION TRUE JUMPS
          BEFORE DEAD CODE IS MARKED IN CFT.
          SPS    05-16-79    APPLIES TO CCG.
  
 CCGA014  PROSEQ. FIX LEVEL 0 (CLOBBERED REGISTER). 
 MAH      79/06/11           APPLIES TO FTN5 5.0
  
 CCGA015  COMATOK. FIX HOLLERITH IN 63-CHAR SET.
 MAH      79/06/11           APPLIES TO CCG . 
  
 *L508*    ************************************************ 
 FCCA499X GPO/RDD.  RDD WAS ELIMINATING STORES WITHOUT SCANNING FOR 
          INTERFERING USES (EQUIVALENCE CLASSES) AFTER THE STORE. 
          SPS    8-9-79      APPLIES TO FCC,CCG 
  
 FCCA506X  GPO/MII. AVOID MODE 1 IN GPO FOR TLD ENCOUNTERED.
 MAH      07/25/79           APPLIES TO FTN 4.8 AND CCG . 
  
 FCC2212X BDT/FTL.  FTL WAS NOT FORMING DEPENDENCY LINKS FROM A 
          TEMPORARY *RS* TO FULL *RS*. IN ADDITION RIO WOULD OFTEN FLOAT
          ALL FULL *RS* POSSIBLE IN A CLASS OF REGISTERS ABOVE A TEMP OF
          THE SAME CLASS.  THIS MADE LIFE FOR MCG PRETTY TOUGH. 
          SPS    9-13-79     APPLIES TO FTN4.8,CCG
  
 CCGA017  DBG=MAC,BDT.  TREE SNAPS IN BDT COULD NOT BE OBTAINED 
          BECAUSE SNAP MACROS WERE ACCESSING THE WRONG REGISTER 
          HOLDING LOCATIONS.
          SPS    8-1-79      APPLIES TO CCG.
  
 CCGA018  CGTM,CCGTEXT,COMCIDP,FA=DEFS,FA=RDC,FA=RDW. 
          SCOPE 2 SUPPORT CODE. 
          MAP    8-7-79      APPLIES TO CCG.
  
 CCGA019  MCG/UJR.  MCG MODES OUT WHEN THE X-REGISTER WIDTH IS
          GREATER THAN 8 AND X6 AND X7 ARE LOCKED UP AS A RESULT OF 
          A PREVIOUS ALLOCATION.  THIS CODE BREAKS THE DEADLOCK BY
          STORING OUT X6 OR X7 REGARDLESS OF ANY PREVIOUS COMMITMENTS.
          X6 OR X7 IS THEN RESTORED WITH THE PROPER VALUE BEFORE
          EXITING THE BLOCK WITHOUT DESTROYING THE CONTENTS OF THE
          THE OTHER X REGISTERS.
          SPS    8-02-79     APPLIES TO CCG 
  
 CCGA021  GPO,CGTM,CFA.  LABEL DEFINITION ELIMINATED BECAUSE
          THE *HB* OF A *FTH* LOOP COMBINED WITH ITS NATURAL PRED,
          BUT REFS TO THE LABEL (ASSIGNED GOTOS) REMAIN.  ADD CODE
          TO OUTPUT THE LABEL DEFINITION WITH THAT OF THE GENERATED 
          LABEL.
          SPS    8-16-79     APPLIES TO CCG.
  
 CCGA022  COMATOK.  AVOID ASSEMBLY ERRORS WHEN USING COMATOK WITH 
          LEVEL 507 COMPASS.
          MAH    8-29-79     APPLIES TO CCG.
  
 CCGA024  SQZ/ECO.  AVOID OVERFLOW INTERRUPTS ON 7600 WHILE SUBSUMING 
          FLOATING POINT OPERATIONS.
          MAP    10-15-79    APPLIES TO CCG.
  
 *L518*    ************************************************ 
 CCG*80   UPDATE COPYRIGHT INFORMATION FOR 1980 
          BEA    79/09/28 
  
 CCGA023  MCG/UJR  UJR IN SEEKING TO UNJAM REGISTERS WAS STORING OUT
          AN OPERAND OF THE INSTRUCTION IT IS ATTEMPTING TO ISSUE.
          THIS WOULD REMOVE THAT INSTRUCTION OF THE ISSUE CANDIDATE LIST
          MAKING IT IMPOSSIBLE TO ISSUE BEFORE THE DESTROYED OPERAND
          COULD BE RELOADED.  A MODULE WAS ADDED TO RECOGNIZE THIS
          AND TOGGLE THE OPERAND REGISTER WITH A REGISTER OF THE NEEDED 
          CLASS WITHOUT A STORE TO MEMORY.  THIS WAS DONE BY ISSUEING A 
          SERIES OF XOR'S.   THIS IS CCG VERSION OF FCC2207.
          SPS    10-08-79     APPLIES TO CCG. 
  
 CCGA025  UDT,CGTM.  MAKE MORE EFFICIENT USE OF FINAL OBTAINABLE
          FIELD LENGTH. 
          MAH    11-03-79    APPLIES TO CCG.
  
 CCGA026  UDT/AUT.  BIT VECTOR POSITIONS WERE CONFUSED.  THIS CAUSED
          GARBAGE IN DEF AND LX VECTOR OF THE ENTRY AND EXIT BLOCK. THIS
          AFFECTED THE CALCULATION OF LX VECTORS FOR ALL BLOCKS.
          SPS    10-5-79     APPLIES TO FTN.8,CCG.
  
 FCCA509X GPO/CBB,GRA/CLB,MIO.  CBB IN BUILDING AN *EBB* ASSUMMED 
          THAT THE PHYSICAL PRED. OF A HB IN THE BST TABLE WAS
          ALWAYS THE LOGICAL PRED. AS WELL.  THIS IS NOT ALWAYS 
          THE CASE AND ADDITIONAL CODE WAS ADDED TO CHECK FOR THIS. 
          SPS    10-2-79     APPLIES TO FTN4.8,CCG. 
  
 FCCA513X GPO/MII,FXI.  MII WAS MAKING INSUFFICIENT TEST ON 
          WHETHER INVARIANT STORES COULD BE MOVED.  WHAT WAS
          NEEDED WAS A CHECK ON THE REGION LIVE ENTRY VECTOR (LEA). 
          CODE WAS ADDED TO CALCULATE LEA BEFORE MII WAS CALLED.
          BEFORE FXI CALCULATED LEA.
          SPS    10-10-79    APPLIES TO FTN4.8,CCG. 
  
 FCC2230X GPO/DIF.  DIF ASSUMED RK = 0 WAS A SUFFICIENT CONDITION FOR 
          RECOGNIZING UNARY TYPE I INSTRUCTION.  HOWEVER A PACK WITH
          A RJ = 0 IS AN EXCEPTION.  DIF WOULD THEN PICK UP A BOS IN
          FORMING AN INCREMENT FORMULA. 
          SPS    9-19-79     APPLIES TO FTN4.8,CCG. 
  
 CCGA025  GPO/MIP.  AVOID MOVING MULTIPLY THAT IS NOT UNCONDITIONALLY 
          EXECUTED IF OPERANDS NOT SAFE.
          MAH    12-15-79    APPLIES TO CCG.
  
 FCC2273X BDT/RIO.  BAD CODE GENERATED FOR FCC2157.  FALSE ASSUMPTION 
          WAS MADE BECAUSE BM FLAG TEMPORARILY SET ON BOS.  FOLLOWING 
          CONSEQUTIVE DEFS AT BEGINNING OF SEQUENCE - LOOP AT RIO16 
          EXITED ON A BOS AND NOT A DEF AND THE RMIN VARIABLE(KEEPS 
          FIRST DEF IN SEQUENCE) WAS NOT UPDATED. 
          REPLACES (PURGES) FCCA504AX.
          SPS    12-17-79    APPLIES FTN 4.8, CCG 
  
 *L528*    ************************************************                     *L528*   5
 F1037CC  MIO.  AVOID 176 INSTRUCTIONS AT COMPILE TIME IF *MI*                  F1037CC  5
          COMPILER SELECTED.                                                    F1037CC  6
          MAP    12-17-79    APPLIES TO CCG .                                   F1037CC  7
                                                                                F1037CC  8
 CCGA027  CGTM. AVOID ASSORTED MODE ERRORS OR TIME LIMITS IN OPT=2.             CCGA027  5
          BLOCK TABLE WAS BEING SHRUNK BY TABLE OVERFLOW PROCESSOR              CCGA027  6
          ALTHOUGH TABLE MANAGER WAS INVOKED TO ALLOCATE BLOCK SPACE.           CCGA027  7
          MAH    12-26-79    APPLIES TO CCG .                                   CCGA027  8
                                                                                CCGA027  9
 CCGA028  CGTM. AVOID POTENTIAL BAD CODE IN OPT=2 BECAUSE OF REGISTER           CCGA028  5
          ERROR.                                                                CCGA028  6
          MAH    01-02-80    APPLIES TO CCG .                                   CCGA028  7
                                                                                CCGA028  8
 CCGA029  GPO/MII. AVOID MOVING INVARIANT INDEXED LOAD OUT OF                   CCGA029  5
          LOOP IF PROTECTED BY CONDITIONAL BRANCH, UNLESS OPT=3.                CCGA029  6
          MAH    01-08-80    APPLIES TO CCG .                                   CCGA029  7
                                                                                CCGA029  8
 CCGA030  GPO/MII. AVOID MOVING INVARIANT STORE TO PARAMTER LIST                CCGA030  5
          WHICH MAY BE USED BY ANOTHER ROUTINE CALL IN SAME LOOP.               CCGA030  6
          MAH    01-22-80    APPLIES TO CCG .                                   CCGA030  7
                                                                                CCGA030  8
 CCGA031  MCG/UJR.  CONFLICT FOUND IN REGISTER USAGE OF X5.  AT URJ3 IF         CCGA031  5
          THE TOP BIT OF X5 IS 0 THEN A SUTIABLE RESULT REGISTER HAS            CCGA031  6
          BEEN FOUND.  OTHERWISE, EITHER X6 OR X7 MUST BE STORED AND UJR        CCGA031  7
          TRIES TO FIND A SUTIABLE REGISTER.  THE INSTRUCTIONS REMOVED          CCGA031  8
          FROM THIS CORRECTIVE CODE DESTROYED THE CONTENTS OF X5 BEFORE         CCGA031  9
          THE CHECK COULD BE MADE.                                              CCGA031 10
          SPS    80/03/12    APPLIES TO FTN 4.8, OPT.                           CCGA031 11
                                                                                CCGA031 12
 CCGA034  MCG/SII.  REPAIR REGISTER ERROR WHICH AFFECTS PROGRAMS                CCGA034  5
          WITH COMPLICATED SEQUENCES CONTAINING LEVEL 0 VARIABLES.              CCGA034  6
          MAH    80/06/26    APPLIES TO CCG.                                    CCGA034  7
                                                                                CCGA034  8
 FCCA546X MCG                                                                   FCCA546X 5
          THE COMBINATION .CPU=73 AND .DAL=NZ CAUSES MCG ASSEMBLY               FCCA546X 6
          ERRORS.  THIS HAPPENS WHEN HF.LIST IN IPTEXT SELECTS L, S0,           FCCA546X 7
          AND PS.   (LCM AND A SERIAL MACHINE)                                  FCCA546X 8
          TMH    06/02/80    APPLIES TO FTN,OPT AND CCG                         FCCA546X 9
                                                                                FCCA546X10
 FCCA550X BDT/IPL.  CLEAR EXTRANEOUS FIELDS OF LINK WORD TO AVOID               FCCA550X 5
          MODE 1 IN BDT AT OPT=1.                                               FCCA550X 6
          SPS    80/06/12    APPLIES TO FTN,OPT AND CCG.                        FCCA550X 7
                                                                                FCCA550X 8
 *L538*    ************************************************                     *L538*   5
 CCG*81   CGTM.  UPDATE COPYWRITE INFORMATION FOR 1981.                         CCG*81   5
          MRR    80/09/26    APPLIES TO CCG.                                    CCG*81   6
                                                                                CCG*81   7
 CCGA035  GPO/RDD.  WHEN THE TRACEBACK OPTION IS SELECTED APLISTS ARE           CCGA035  5
          GENERATED FOR ALL FUNCTION CALLS EVEN BASIC EXTERNAL FUNCTIONS        CCGA035  6
          (BEF'S).  IF RDD ENCOUNTERS A FUNCTION CALL IN ITS SCAN OF            CCGA035  7
          DEAD DEFINITIONS THE PROCESS IS USUALLY HALTED SO THAT THE            CCGA035  8
          CORRESPONDING APLIST MAY BE PROPERLY GENERATED.  THE EXCEPTION        CCGA035  9
          IS FOR BEF FUNCTION CALLS BECAUSE IT IS ASSUMED THAT ALL              CCGA035 10
          PARAMETERS ARE PASSED USING REGISTERS.  THIS IS NOT THE CASE          CCGA035 11
          WHEN THE TRACEBACK OPTION IS SELECTED.  CODE HAS BEEN ADDED TO        CCGA035 12
          CHECK IF THE TRACEBACK OPTION WAS SELECTED AND IF SO TO HALT          CCGA035 13
          THE PROCESS OF KILLING DEAD DEFINITIONS.                              CCGA035 14
          REQUIRES FC5A275.                                                     CCGA035 15
          SPS/MRR 80/08/28   APPLIES TO CCG.                                    CCGA035 16
                                                                                CCGA035 17
 CCGA036  GRA/MFA.  FCC2135 WAS INTRODUCED TO CORRECT A PROBLEM WITH            CCGA036  5
          LOOP TEST MECHANISMS.  THE OPTIMIZER IN SEEKING TO REDUCE THE         CCGA036  6
          NUMBER OF REGISTERS IT ASSIGNS ACROSS A LOOP SEEKS TO REPLACE         CCGA036  7
          THE LOOP VARIABLE WITH A VARIANT ASSIGNED TO A B REGISTER             CCGA036  8
          WHICH INDEXES AN ARRAY IN THE LOOP TEST MECHANISM.  HOWEVER           CCGA036  9
          TROUBLE WITH B REGISTER OVERFLOW OCCURRED WHEN THE VARIABLE           CCGA036 10
          INDEXED LCM, A FORMAL PARAMETER, OR BLANK COMMON AND THE              CCGA036 11
          INCREMENT VALUE WAS A SUFFICIENTLY LARGE CONSTANT.  FCC2135           CCGA036 12
          INTRODUCED CODE TO CHOOSE AN ALTERNATIVE MECHANISM IF ANY OF          CCGA036 13
          THE ABOVE CONDITIONS WERE MET.  HOWEVER PROBLEMS ALSO OCCURRED        CCGA036 14
          WHEN THE OPTION LCM=I IS SELECTED.  IN THIS CASE THE RLIST            CCGA036 15
          CODE GENERATED IS SUCH THAT THERE IS NO EASY WAY OF DETERMININ        CCGA036 16
          WHAT ARRAYS THE VARIANT IS REALLY INDEXING.  CODE HAS BEEN            CCGA036 17
          INTRODUCED SO THAT THE VARIANT I WILL NOT BE USED IN LOOP TEST        CCGA036 18
          REPLACEMENT IF THERE IS A RCT ENTRY SUCH THAT RF=I AND IH=0.          CCGA036 19
          SPS    80/08/28    APPLIES TO CCG.                                    CCGA036 20
                                                                                CCGA036 21
 CCGA037  CGTM/WII.  SIGN EXTENSION CAUSED 18 BIT ARITHMETIC                    CCGA037  5
          ERROR.  THIS PREVENTED THE MAT BIT IN THE SYMBOL                      CCGA037  6
          TABLE FROM BEING SET.  THIS CAUSED A REFERENCED                       CCGA037  7
          VARIABLE TO GO UNALLOCATED.                                           CCGA037  8
          SPS    80/09/05    APPLIES TO CCG.                                    CCGA037  9
                                                                                CCGA037 10
 CCGA039  SQZ/SBB, GRA/IRA,CUC.  CCG170 FAILS TO RECOGNIZE LEVEL 0              CCGA039  5
          FORMAL PARAMETERS AT SEVERAL PLACES AND THUS GENERATES                CCGA039  6
          CODE FOR LEVEL 2 FORMAL PARAMETERS.                                   CCGA039  7
          SPS    81/01/22    APPLIES TO CCG.                                    CCGA039  8
 *L552*    ************************************************ 
 CCGA040  PROSEQ/ESR.  FAILURE TO RECOGNIZE LEVEL 0 REFERENCES ON 
          STT INSTRUCTIONS RESULTED IN BAD CODE WHEN LCM=D WAS CHOSEN.
          SPS 81/03/23       APPLIES TO CCG.
  
 CCGA041  CGTM/WII.  FIX LINE/SEQUENCE MAGNITUDE TEST FOR TRACE WORD
          ON RJ6 INSTRUCTIONS.  THIS REQUIRES CODE FC50264 FOR CORRECT
          COMPILE TIME CODE PRODUCTION AND FL50429 FOR RUN TIME SUPPORT.
          MRR    81/04/04    APPLIES TO CCG.
  
 CCGA042  GPO/SLC.  ATTEMPTS TO REPLACE A LOAD OF A LEVEL 2 
          FORMAL PARAMETER WHICH IS ALSO AN IMMEDIATE PREDECESSOR OF A
          STORE WITH A LOAD OF A LOCAL COPY CAUSES MAYHEM IN MCG. 
          SPS    81/04/03    APPLIES TO CCG.
  
 CCGA043  GPO/MPR.  CORRECTLY ACCESS THE FP.CA FIELD.  SUPPORT CODE 
          FOR FC50252, WHICH ALLOWS CORRECT CODE GENERATION OF LOCAL
          COPIES OF FORMAL PARAMETERS.
          MRR    81/04/14    APPLIES TO CCG.
  
 CCGA044  PROSEQ/ESR.  WHEN EXPANDING A LCM REFERENCE WITH THE LCM=G
          OPTION SELECTED, ESR ATTEMPTED TO ESTABLISH THE OFFSET VIA A
          18 BIT SET INSTRUCTION.  A NEGATIVE OFFSET RESULTS WHEN THE 
          OFFSET EXCEEDS THE 17 BIT CAPACITY.  CODE WAS ADDED TO RECOG- 
          NIZE SUCH LARGE OFFSETS AND MATERIALIZE THEM VIA A FULL WORD
          LOAD FROM THE CONSTANT TABLE. 
          SPS    81/05/05    APPLIES TO CCG.
  
 CCGA045  SQZ/MSL.  WHEN PROCESSING CONDITIONAL JUMPS OF THE TYPE PL/MI,
          SQZ FIRST EXAMINES WHETHER THE RI OF THE JUMP IS THE RESULT OF
          A XMTC.  IF SO THEN THE JUMP INSTRUCTION IS TOGGLED AND THE RJ
          OF THE XMTC BECOMES THE NEW RI OF THE TOGGLED INSTRUCTION.  IF
          THE RI OF THE JUMP INSTRUCTION IS A CONSTANT, THEN EITHER AN
          UNCONDITIONAL JUMP REPLACES THE INSTRUCTION OR THE INSTRUCTION
          IS ELIMINATED ALTOGETHER DEPENDING ON THE VALUE OF RI.  A 
          PROBLEM OCCURRED WHEN THE INSTRUCTION WAS TOGGLED AS DESCRIBED
          ABOVE.  THE OLD RI VALUE WAS EXAMINED INSTEAD OF THE NEW RI OF
          THE TOGGLED INSTRUCTION.  AS A RESULT, THE GENERATED CODE WAS 
          JUST THE REVERSE AS TO WHAT WAS DESIRED.
          SPS    81/05/07    APPLIES TO CCG.
  
 CCGA046  GPO/MIP.  A PROBLEM OCCURS WHEN A XMTC IS INCLUDED IN INTEGER 
          POLYNOMIALS (I.P.'S) THAT ARE INCLUDED IN STRENGTH REDUCTION. 
          IN A PARTICULAR CIRCUMSTANCE, THE PROPER EXECUTION OF CODE
          INSIDE A LOOP DEPENDS UPON THE VALUE OF THE I.P. BEING  (-0)
          DURING A CERTAIN ITERATION OF THE LOOP.  HOWEVER, WHEN THE
          XMTC IS MOVED OUTSIDE OF THE LOOP AND REPLACED WITH STRENGTH
          REDUCTION CODE, THE VALUE OF THE I.P. IS (+0) ON THE CRITICAL 
          ITERATION.  IT WAS DECIDED NOT TO INCLUDE XMTC IN I.P.'S. 
          SPS    81/05/13    APPLIES TO FTN4,CCG. 
          NOTE: THIS FIX HAS NOT BEEN PROPAGATED TO FTN4. 
  
 CCGA047  SQZ/MSL.  A MISALIGNED RN ENTRY CAUSED THE CONSTANT BIT 
          TO BE IMPROPERLY SET.  THIS IN TURN RESULTED IN ONE OF JASIK'S
          UNFORSEEN SITUATIONS. 
          SPS    81/05/21    APPLIES TO CCG.
  
 CCG0001  CGIA.  CORRECTLY FORM THE TARGET MACHINE MICRO.  PROVIDES 
          CORRECT TARGET MACHINE SETTING IN 7700 LOADER TABLE.
          MRR    81/01/16    APPLIES TO CCG.
  
 CCG0004  PROSEQ/ESR.  WHEN LCM=G IS CHOSEN, A BUG IN ESR BYPASSES CODE 
          TO CHECK WHETHER THE SPECIAL REFERENCE BEING EXPANDED PRECEDES
          A REGISTER SPECIFY TO A NON-X REGISTER.  AS A RESULT ESR EMITS
          A XMT INSTEAD OF THE NECESSARY SA.
          SPS    81/05/14    APPLIES TO CCG.
  
 *L564*    ************************************************ 
 CCG*82   CGTM.  UPDATE COPYWRITE INFORMATION FOR 1982. 
          MRR    81/09/10    APPLIES TO CCG.
  
 CCGA049  CCGTEXT,SQZ/STS,GPO 
          THE CA FIELD IN THE TEMPORARY EQUIVALENCE TABLE (TET) 
          IS USED FOR TWO PURPOSES. THE OPT=2 COMPILER GENERATES
          LOADS OF THE WRONG TEMP BECAUSE SQZ DESTROYS THE TET INDEX
          IN THE CA FIELD WHEN IT ATTEMPTS TO EQUIVALENCE TWO ASSIGNED
          TEMPS. THE FIX IS TO PREVENT THE EQUIVALENCE UNTIL AFTER
          THE TEMP LOAD HAS BEEN GENERATED AND THE CA FIELD IS FREE 
          TO CONTAIN A TEMP NUMBER. 
          SEE FCC2392 IN FORTRAN 4. 
          TMH    81/07/14    APPLIES TO CCG,OPT=2.
  
 CCGA052  PROSEQ/ISC.  WHEN EXPANDING A LCM REFERENCE WITH THE LCM=G
          OPTION SELECTED, ESR ATTEMPTED TO ESTABLISH THE OFFSET VIA A
          18 BIT SET INSTRUCTION.  A NEGATIVE OFFSET RESULTS WHEN THE 
          OFFSET EXCEEDS THE 17 BIT CAPACITY.  CODE WAS ADDED TO RECOG- 
          NIZE SUCH LARGE OFFSETS AND MATERIALIZE THEM VIA A FULL WORD
          LOAD FROM THE CONSTANT TABLE.  REPAIRS CCGA044. 
          SIJ/MRR 81/09/11   APPLIES TO CCG.
  
 CCGA054  MOVE WEORS IN CCG TO THEIR OWN DECKS AS PER INTEGRATION 
          REQUIREMENT. ALSO CONVERTS TESTMODE DEF TO *TEST*.
          SCC    10/19/81    CMPLTXT, WEOR1*, CCGTEXT, WEOR2* 
  
 CCG0006  SQZ/STT.  DONT SET RF FIT FOR STT INTRUCTIONS WITH LEVEL 2 AND
          LCM=G.
          SIJ/MRR 81/08/07   APPLIES TO CCG.
  
 CCG0013  GPO/GPO.  CORRECT TABLE POINTER ACCESS IN GPO. MAKE 
          ACCESS INDIRECT.  PREVENTS INADVERTENT FREE SPACE ALLOCATION
          IN BLK BY ALLOC.
          SIJ    81/11/17    APPLIES TO CCG, OPT=2. 
  
 *L577*    ************************************************ 
 CCGA062  GRA/IRA/PVC.  WHEN OPERATION IS [S RI,-CON] AND [CON] IS IN A 
          B-REG, DO NOT SET B-REG FIELD IN THE LINK WORD. 
          SIJ    81/12/07    APPLIES TO CCG.
  
 CCGA063  GRA/MFA.  TEST INV BIT IN TET WORD BEFORE TESTING ITI FIELD 
          SINCE THE LATTER MAY BE NON-ZERO IN AN OUTER LOOP, AS ITI AND 
          HBN OCCUPY THE SAME BITS IN THE WORD. 
          SIJ    81/12/08    APPLIES TO CCG.
  
 CCGA066  MCG/ASC.  CORRECT SHIFT INSTRUCTION IN CODE FOR 175 MACHINE.
          PREVENTS PLI FAILURE. 
          SIJ    81/12/23    APPLIES TO CCG, 175. 
  
 CCGA067  CGIA/VFDP.  REVISE VFDP PROCESSING TO PUT OUT A N WORD VFDP 
          TABLE. THIS VERSION ACCEPTS ARBITRARY LONG BIT STRINGS. 
          SIJ    81/12/28    APPLIES TO CCG, PLI. 
  
 CCGA068  CGIA.  FIX THE FOLLOWING CCG INTERNAL ASSEMBLER PROBLEMS: 
          1.  FIX BUG IN USE BLOCK SWITCHING  WHERE FIRST INST IN A TEXT
              TABLE WAS LOST WITH REPEATED BLOCK SWITCHS. 
          2.  FIX BUG IN ORG PROCESSING, WRONG SHIFT COUNT TO DETECT
              RL=1. 
          3.  FIX BUG IN DTT AND APT WHERE TEXT TABLE LENGTH IS NOT SET 
              PROPERLY. 
          4.  SUBSTITUTE PROPER CA IN STT INSTRUCTIONS THAT REF CON.
          SIJ    81/12/28    APPLIES TO CCG, PLI. 
  
 CCGA072  CCGTEXT,CGIA/UJP/USEBLK/USE, CGTM/CONTV/CG$RBT/CG$EP. 
          ALLOW LARGER NUMBER OF LOCAL BLOCKS IN OBJECT PROGRAM.
          THIS IDENT REQUIRES PLIA463 AND FC5A399 FOR ENTRY POINTS. 
          SIJ    82/04/21    APPLIES TO CCG, PL/I.
  
 CCGA073  MCG/SII/LSS/PLD.  ALLOW R-NUMBER 1 TO DEFINE A0 OR B7 AS SET
          SET BY CALLER USED BY FPLI.  THIS MOD IS NOT LINKED INTO THE
          LOOP OPTIMIZER OR AIS AND INCORRECT RESULTS MAY RESULT IF A 
          CODE SEQUENCE GOES THROUGH EITHER OF THEM WHEN REG=A0 IS SET
          TO B7 . 
          SIJ    82/04/21    APPLIES TO CCG.
  
 CCG0002  SQZ/ECO/RJXJ.  PROVIDE CONSTANT REDUCTION FOR SS INSTRUCTION. 
          WHEN PROCESSING PLI RJ, GENERATE RJ3 [ NOT RJ6 ]. 
          SIJ    81/12/16    APPLIES TO CCG.
  
 CCG0008  MCG/UJR.  FIX CASE WHERE NO REGISTERS AVAILABLE, OPERANDS ARE 
          IN X6 AND X7 AND RESULT PRECEDES A REGISTER STORE BY SAVING 
          X6/X7, FREEING THE RESULT REGISTER AND RELOADING THE OPERAND. 
          SIJ    82/02/04    APPLIES TO CCG.
  
 CCG0018  GRA/AAV.  REDUCE MAA BY PROPER AMOUNT SO DAA DOESNT ATTEMPT TO
          ASSIGN MORE CANDIDATES THAN REMAINING LOAD REGISTERS. 
          SIJ    81/12/28    APPLIES TO CCG.
  
 CCG0022  GRA/GRA.  CLEAR NBIP# SO BDT DOESN'T CHECK IT.  PREVENTS
          INFINITE LOOP AT OPT=1. 
          SIJ    81/12/22    APPLIES TO CCG, OPT=1. 
  
 *L587*    ************************************************ 
 CCGA076  FA=WTH.  ADD COMDECK FA=WTH.  PROVIDES SCOPE 2 OUTPUT WITH
          TRAILING BLANK SUPRESSION.  THIS IDENT REQUIRES CONCURRENT
          INSTALLATION OF FC50467.
          PURGES=FA=WTC 
          MRR    82/07/21    FA=WTC, FA=WTH, FA=WTW.
  
 CCGA079  FA=OPE.  ALLOW REW=B TO WORK ON SCOPE 2.
          REQUIRES CONCURRENT INSTALLATION OF FC50681.
          DEPENDENCY=CCGA018
          MRR    82/11/19    FA=OPE 
  
 CCGA082  GRA/DUM.  CLEAR INC BIT IN DESCR OF PRED OF PST SO THAT ANY 
          PRED OF AN INTEGER ADD OR SUBTRACT IS MATERIALIZED IN AN
          X-REGISTER. 
          SIJ    82/12/17    GRA
  
 CCG0037  GRA/DUM.  SET EU BIT FOR XMTC TO AVOID PROBLEM WITH SUBSCRIPT 
          OF FORM [ARRAY(CON-I)] IN LOOP. 
          SIJ    82/04/28    GRA
  
 CCG0041  CCGILFD,SQZ/CTI - REFERENCES TO LEVEL 0 DUMMY ARGUMENTS 
          ARE INCORRECTLY GENERATED IF THE TARGET MACHINE HAS 
          LCM.  CODE FOR SCM IS GENERATED USING A STORE REGISTER
          FOR A FETCH.  IF THE *XMT* BIT IS SET IN THE DESCRIPTOR 
          WORD OF A *LD*, THAT INSTRUCTION WILL NO LONGER BE
          ELIMINATED. 
          AXM    82/04/26    CCGILFD, SQZ 
  
 CCG0045  GRA/IRA - FIX R-NUMBER ASSIGNMENTS FOR LEVEL 0
          *DRL* INSTRUCTIONS.  DO NOT SET R-NUMBER IN ST-REG
          FIELD IF LEVEL 0 BIT SET IN DESCRIPTOR. 
          AXM    82/06/02    GRA
  
 CCG0071  GRA/SIV.  IF FTN5 HAS ARG=COMMON SET, REMOVE UPPER BITS 
          FROM AP-LISTS.
          MOD SET *FC50818* IN FTN5 MUST BE PRESENT.
          DEPENDENCY=FCC0912
          SIJ    83/01/14    GRA
  
 CCG0085  PROSEQ/ISC.  PROVIDE MINUS ZERO PROTECT FOR RF+CA .NE. 0 TEST.
          PREVENTS BAD CODE FOR LCM=I/G ADDRESS CALCULATIONS. 
          MRR/SIJ 82/12/14   PROSEQ 
  
 *L601*    ************************************************ 
 CCGA083  SQZ/RJ3/GTL/GXI/MMR/IXI.  SQUEEZE BASIC EXTERNAL FUNCTION 
          CALLS.
          DEPENDENCY=CCG17,CCG7 
          SIJ    83/02/17    SQZ
  
 CCG0012  GRA/IRA/XMT, SQZ/SMR.  FIX *GRA* TO NOT SET ST VALUE IN LINK
          WORD IF PRED OF XMT PRECEEDS A REGISTER STORE (APPLIES TO 
          OPT=2).  FIX REGISTER ERROR IN *SQZ* WHICH CAUSED DIFFERENT 
          CODE IN MI AND NON-MI COMPILERS.
          DEPENDENCY=FCC1740X,CCG21 
          SIJ    83/05/06    GRA, SQZ 
  
 CCG0034  GRA/IRA.  INCREMENT OF NEGATIVE CON IN B-REG IS 
          NOT HANDLED CORRECTLY.
          DEPENDENCY=CCGA062
          SIJ    83/04/01    APPLIES TO OPT=1,2 
  
 CCG0057  GRA/AAV/IRP.  REDUCE MAA WHEN ASSIGNING A/X REGS AND
          N.LOADS GT 5.  PREVENTS INFINITE LOOP IN MCG AT OPT=2.
          DEPENDENCY=CCG25,CCG34
          SIJ    83/04/01    APPLIES TO OPT=2 
  
 CCG0086  MCG/PRS. SUPPRESS GENERATION OF A 15 BIT SB0  B2. THE 
          INSTRUCTION IS ISSUED FOR TRACEBACK INFORMATION AND WITH
          ONE EXCEPTION IS A 30 BIT INSTRUCTION OF THIS FORM(SB0 B2+
          A NON ZERO LINE NUMBER) AND POSES NO PROBLEM. THE EXCEPTION 
          IS WHEN NO LINE NUMBER IS ASSOCIATED WITH A SECTION OF CODE 
          WHICH RESULTS IN LINE ZERO AND A 15 BIT INSTRUCTION.
          THIS 15 BIT INSTRUCTION IS A READ CM ON 170/8XX MACHINES. 
          DEPENDENCY=FEAT155A 
          SSK    83/01/11    MCG
  
 CCG0088  PROSEQ/ESR - SAVE O.MOD PROPERLY BEFORE CALL TO CON SCANNER 
          SO IF THE TABLE MANAGER MOVES THE TABLES, WE CAN RESTORE
          A7 AND NOT BLOW UP. 
          **** NOTE - THE FOLLOWING IDENTS (ALL AVAILABLE VIA SOLVER) 
          **** SHOULD BE OBTAINED IN CONJUNCTION WITH THIS ONE -- 
            FC50686 (LEVEL 577) - FORMAL PARAM CELL REINITIALIZATION. 
            FC50757 (LEVEL 588) - OVERALL EQUIVALENCE RE-WORK.
            FC5A319 (LEVEL 588) - ADDITIONAL EQUIVALENCE CODE.
            FC5A416 (LEVEL 588) - HANDLE 8-DIGIT LCM ADDRS IN MAP.
            FC50825 (CURRENT LEVEL) - OPT=0 CODE. 
          DEPENDENCY=CCGA044
          SIJ    83/01/25    APPLIES TO CCG, OPT=2. 
  
 CCG0089  GRA/IRA/JPX - ENSURE THAT B-REG VALUE IS NOT REDEFINED
          BEFORE TRYING TO USE IT.
          DEPENDENCY=CCG24
          SIJ    83/03/11    APPLIES TO OPT=2 
  
 *L617*    ************************************************ 
 CCG0093  GRA/AAV.  DO NOT ASSIGN A/X VARS IN OPT=1.
          DEPENDENCY=CCG25
          SIJ    83/09/19    APPLIES TO FTN5  OPT=1 
  
 CCG0110  MCG/UJR.  SPECIAL CASE BINARY OP THAT PRS AND 
          BOTH OPERANDS HAVE ONE USE AND REGS CLOGGED TO ISSUE
          INSTRUCTION FOLLOWED BY TWO XMTS TO FIX REG ASSIGNMENTS.
          DEPENDENCY=CCG19,FCC0641
          SIJ    83/09/30    APPLIES TO FTN 5.1 
  
 CCG0117  GRA/AAV.  DONT INCREMENT NAB WHEN INDEX IS NOT ASSIGNED TO
          A B-REGISTER. 
          DEPENDENCY=CCG25
          SIJ    83/09/19    APPLIES TO FTN5, OPT=2 
  
 CCG0119  GRA/AAV.  NO A-REGISTER PREFETCH IF ADDRESS REF NOT ON
          ARTICULATION OR LATCHING NODE IN OPT=2. 
          DEPENDENCY=CCG25
          SIJ    83/09/19    APPLIES TO FTN5, OPT=2 
  
 CCG0124  SQZ/CCV.  SET UDT INDEX OF *LDC* PROPERLY TO AVOID RANDOM BIT 
          SETTING IN GRA WHICH CAUSED AN INDEX REG PRELOAD TO BE LOST.
          DEPENDENCY=CCG17
          SIJ    83/09/21    APPLIES TO FTN5, OPT=1,2 
  
 *L628*    ************************************************ 
 CCGA085  SQZ/LDC.  DO NOT SQUEEZE LDC IF BOTH PS AND PRS SET.
          PREVENTS INCORRECT ASSIGNMENT OF A0 AS A STORE REGISTER.
          DEPENDENCY=CCG17
          SIJ    84/02/24    SQZ
  
 CCGA088  GPO/MPR.  TURN OFF XMT BIT IN LEVEL 0 LOAD WHEN CHANGING IT 
          TO AN LC. 
          DEPENDENCY=CCG23
          SIJ    84/06/18    APPLIES TO FTN5, OPT=2,3 
  
 CCG0127  GPOCOM, GPO/ATT/EIE.  DO NOT CHANGE CA FIELD OF TET ENTRY 
          THAT IS EQV.  ALSO, IMPROVE PROCESSING OF COMPLICATED 
          SUBSCRIPTS SO THAT REDUNDANT GLOBAL TEMPS ARE NOT CREATED.
          APPLIES TO FTN5, OPT=2. 
          DEPENDENCY=FCC0514,FCC0717
          SIJ    84/01/17    GPOCOM, GPO
  
 CCG0128  GRA/IRA/ST.  FIX PROBLEM WITH SEQUENCE OF THE FORM
          OLD = K; K = K+INC; IF... ; K = OLD.  IT COULDN'T RECOGNIZE 
          THE DIFFERENCE BETWEEN THE REDEFINITION (K=OLD) AND A 
          POST STORE FROM ANOTHER LOOP. 
          DEPENDENCY=FCC0414,FCC0514,FCC1568X 
          SIJ    84/06/14    APPLIES TO OPT=2 
  
 CCG0146  GRA/JPX - FIX REGRESSION IN CCG0089.  RVT MUST BE SET 
          TO ZERO WHEN LEAVING LOOP.
          DEPENDENCY=CCG0089
          SIJ    84/06/05    GRA
  
 CCG0147  SQZ/RJ3.  CORRECTLY PROCESS FORMAL PARAMETERS.
          DEPENDENCY=CCGA083
          SIJ    84/06/04    SQZ
  
 CCG0150  SQZ/ARF.  ITERATE AS NECESSARY TO GET PAST REPEATED 
          CONSTANT INCREMENTS.
          SIJ    84/06/22    APPLIES TO FTN5, OPT = 1,2 
  
 CCG0154  SQZ/CTI.  FIX LEVEL 2 AND FORMAL PARAM CONFLICT IN OPT=2. 
          SQZ DELETED THE XMT, AND GPO MADE A LOCAL COPY, SO X = FP 
          WAS COMPILED AS A LOAD FOLLOWED BY A STORE. 
          SIJ    84/06/12    SQZ
  
 *L642*    ************************************************ 
 CCGA090  COMQSVR/RSR, GPO/PCC.  VOID INSTRUCTION STACK AFTER PLUGGING
          INSTRUCTIONS IN THE FOLLOWING PLACES -
          RSR IN COMQSVR, PCC5 IN PCC IN GPO. 
          AXM    85/03/25    COMQSVR, GPO 
  
 CCG0157  MCG/JAM/SNI.  ADDED CODE TO INSURE XSW IS NOT A -0. 
          SIJ    84/11/21    MCG
  
 CCG0158  SQZ/MMR.  RJ3 - INVARIANT FUNCTION CALLS - FOLLOW MEMORY
          REFERENCE CHAIN TO DEFINITION OF FIRST MEMORY REFERENCE.
          DEPENDENCY=CCGA083
          SIJ    84/10/23    SQZ
  
 CCG0165  SQZ/RJ3.  REMOVE TWO SPURIOUS INSTRUCTIONS FROM *CCGA083* 
          WHICH CAUSED INCORRECT ANSWERS AT OPT=1,2 IN CERTAIN CASES
          WHEN COMMON IS USED.
          DEPENDENCY=CCGA083
          SIJ    84/11/21    SQZ
  
 *L650*    ************************************************ 
 CCG0172  GRA/IRA. IF MINUS IN B SWITCH RJ TO RK. THERE ARE NO
          INSERT OR DELETE REFERENCES TO CCG0034 BUT THAT PSR 
          MUST BE INSTALLED FOR CCG0172 TO WORK PROPERLY. 
          DEPENDENCY=CCG0034
          SSK    85/05/07    GRA
  
 CCG0181  SQZ/RJ3.  AVOID UPDATING A REFERENCE TO ST.+C IF ITS
          DESCRIPTOR IS ZERO. 
          DEPENDENCY=CCGA083
          SSK    85/06/13    SQZ
  
 *L670*    ************************************************ 
 CCGA091  GPO/UPB.  IF MOD LIST TABLE EMPTY, CHECK NT(NUM OF TEMP LDS)
          FOR LOOP EXIT.
          DEPENDENCY=FCC2149
          SSK    85/06/25    GPO
  
 CCGA092  CGTM/F.RDT.  THIS PSR CONTAINS INSTRUCTION TIMINGS FOR THE
          990 AND MUST BE INSTALLED CONCURRENTLY WITH FC5A495.
          SSK    86/04/15    CGTM 
  
 CCGA093  MCG/SII.  INTRODUCE THE INTRINSIC FUNCTION *SUM1S* TO UTILIZE 
          THE POPULATION COUNT INSTRUCTION.  REQUIRES CONCURRENT
          INSTALLATION OF FC5A496.
          DEPENDENCY=CCG16
          ASD/SSK 86/02/20   MCG
  
 CCG0187  CGTM/CG$IEP.  ADDED A RECALL PARAMETER WHEN CLOSING F.OPT.
          WITHOUT THE RECALL BIT, ANY DELAY BY THE OPERATING SYSTEM 
          IN COMPLETING THE CLOSE REQUEST CAN RESULT IN OVERLAY 23
          BEING IN CORE BEFORE THE REQUEST IS COMPLETED RESULTING IN
          A WORD OF EXECUTABLE CODE IN PROGRAM MAP GETTING WIPED OUT. 
          DF/SSK 86/06/19    CGTM 
  
 *L688*    ************************************************ 
 CCGA094  SQZ/RJ3.  REPAIR REGISTER WIPEOUT(A5), THE POINTER TO THE 
          RJ3(BEF) CHAIN. 
          SSK    86/08/07    SQZ
  
 CCG0177  BDT/RNI.  SOME DWL/DRL INSTRUCTIONS MAY CONTAIN IH.RF'S THAT
          DID NOT APPEAR AS AN RI WHICH DEFINES A RESULT IN A PREVIOUS
          INSTRUCTION WITHIN THE CURRENT INSTRUCTION SEQUENCE. AS A 
          RESULT AN RF MAY HAVE AN R NUMBER DEFINITION TABLE FORMAT 
          WORD ADDED RESULTING IN A MODEOUT LATER. THIS CODE PREVENTS 
          RELABELING OF AN RF IF NOTHING WAS SETUP FOR THIS RF IN THE 
          EQUIVALENCE TABLE.
          DEPENDENCY=FCC0643
          SSK    87/01/26    BDT
  
 CCG0188  BDT/FTL. THE *BMC* LIST RUNS INTO THE TEMPORARY TREE FOR THIS 
          TEST CASE CAUSING BDT TO MODE OUT WHILE FORMING BOUNDARY
          MARKER LINKS. 
          SSK    87/03/10    BDT
  
 CCG0189  SQZ/MMR.  SEARCH MEMORY REFERENCE CHAIN BACK TO DEFINITION
          OF FIRST MEMORY REFERENCE FOR BEF'S.
          DEPENDENCY=CCGA083
          SSK    86/08/01    SQZ
  
 CCG0191  MCG/CRA/JAM. IF MOVING *B* TO AN *X*, ENSURE *X* IS NOT IN K
          FIELD OF AN *SA* INSTRUCTION TO BE ISSUED. IF SO SWITCH J 
          AND K.
          DEPENDENCY=FCC1555X 
          SSK    87/01/09    MCG
  
 CCG0193  SQZ/RJ3.  IF THE CURRENT DEF WAS MARKED DEAD THEN MARK THE
          CURRENT RJ3 AS NOT NECESSARY. 
          DEPENDENCY=CCGA083
          SSK    86/09/22    SQZ
  
 CCG0196  MCG/SNI.  ADDED CODE TO INSURE *XSW* IS NOT A -0.  PREVENTS 
          ENDLESS LOOP IN *MCG*.
          SSK    86/11/12    MCG
  
 *L716*    ************************************************ 
 CCG0206  SQZ/RJ3.  DO NOT ELIMINATE CURRENT RJ3 AND FORCE DEPENDENCY 
          ON AN RJ3 WITH NO FOLLOWING OC.DEF. 
          DEPENDENCY=CCGA083
          SSK    88/01/22    SQZ
  
 CCG0207  BDT/CIP.  USE JAM MODE PRIORITY CALCULATION WHEN A CODE 
          SEQUENCE HAS A *LARGE* NUMBER OF STORE INSTRUCTIONS.
          SSK    87/10/22    BDT
  
 CCG0208  GPO/RDD.  IF AN INSTRUCTION IS AN IMMEDIATE PREDECESSOR OF
          A LEVEL 0 STORE, THEN SET THE *PS* FLAG.
          SSK    87/11/11    GPO
  
 CCG0211  SQZ/RJ3.  SET UP THE UDI LINK IN THE LD, IF IT IS NECESSARY 
          TO GENERATE A LD/XMT. 
          DEPENDENCY=CCGA083
          SSK    88/01/22    SQZ
  
 CCG0212  GPO/UPB.  INHIBIT STT'S IF LCM=G AND OPT=2. 
          DEPENDENCY=CCG21,FC50717
          SSK    88/02/03    GPO
  
 CCG0213  SQZ/IXI.  AVOID ADJUSTING RF-S FOR TYPE FOUR INSTRUCTIONS.
          DEPENDENCY=CCG17
          SSK    88/02/12    SQZ
  
 *L739*    ************************************************ 
 CCG0214  GPO/UPB.  THE TEST CASE SUBMITTED FOR THIS PSR CAUSES THE 
          CODE GENERATOR TO HANG. CAUSED BY CCG0212 WHICH WIPES OUT 
          A REGISTER. THIS PSR CORRECTS THE REGISTER WIPEOUT. 
          DEPENDENCY=FCC0717
          SSK    88/06/01    GPO
  
 CCG0215  BDT/SIO.  WHEN MOVING INSTRUCTIONS TO THEIR FINAL ORDER, IF 
          AN INSTRUCTION IS NOT *MARKED*, USE THE RI OF THE INSTRUCTION 
          AS THE OUTPUT INDEX(I.OI).
          ***THIS PSR REQUIRES CONCURRENT INSTALLATION OF CCG0216.*** 
          SSK    88/06/16    BDT
  
 CCG0216  SQZ/RJ3.  WHEN CHANGING AN RJ3/DEF TO LD/XMT AND DOUBLE 
          PRECISION IS INVOLVED, CHECK TO SEE IF THE MRC CHAIN IS 
          POINTING TO THE SECOND GTL, IF IT IS, THE MRC CHAIN WILL
          BE UPDATED. 
          DEPENDENCY=CCGA083
          SSK    88/06/16    SQZ
  
 CCG0218  GPO/MII.  CORRECTIVE ADDED TO CHECK FOR THE SECOND *DEF*
          IN CASE AN *RJ3* IS RETURNING A DOUBLE PRECISION RESULT.
          SSK    88/08/04    GPO
  
 CCG0220  CGTM/CG$CUB.  WHEN CHANGING USE BLOCKS, THE PARCEL COUNT IS 
          SAVED IN THE WRONG FIELD WITH THE CURRENT BLOCK LENGTH. 
          WHEN THE REAR-END-CONTROLLER(REC) PROCESSES THE LOCAL BLOCK 
          TABLES IT NEEDS THE PARCEL COUNT FOR A TABLE TO ROUND UP IF 
          NECESSARY. ADDED CORRECTIVE CODE FIXES PROBLEM. 
          DEPENDENCY=CCG15
          SSK    89/03/03    CGTM 
  
 *L780*    ************************************************ 
 CCGA097  GRA/IRA.  AN IA INSTRUCTION WITH ONE OF THE OPERANDS IN A B 
          REGISTER CAN'T BE CHANGED TO AN SA BECAUSE THE RESULT IS NOT
          SHORT USAGE(LCM=G). CORRECTIVE CODE INSERTS AN SA TO AN X 
          REGISTER BEFORE THE IA. 
          DEPENDENCY= CCG0034 
          SSK    89/12/15    GRA
  
 *L797*    ************************************************ 
 CCGA099  GRA/SCT.  WHEN SELECTING CANDIDATES FOR B REGISTER ADDRESSING IN
          LOOP OPTIMIZATION, DISALLOW LEVEL 0 ARGUMENTS WHEN LCM=I OR LCM=G.
          PROSEQ/ERS.  EXPAND SPECIAL REFERENCES IN PROSEQ IS ALLOWING
          A B REGISTER ASSIGNMENT TO A LEVEL 0 FORMAL PARAMETER.
          CORRECTIVE CODE CHANGES AN LCM=G TEST TO A NOT LCM=D TEST.
          DEPENDENCY=CCGA044
          DEPENDENCY=FCC0594
          PID=FC5 
          MRR    92/02/04    GRA, PROSEQ
  
 CCG1*92  PROBLEM  - CONTROL DATA CORPORATION HAS CHANGED ITS NAME
                     TO CONTROL DATA SYSTEMS INC, SO ALL COPYRIGHT
                     INFORMATION MUST BE UPDATED. 
  
          SOLUTION - UPDATE COPYRIGHT INFORMATION.
  
          BAO    09/15/92 
  
 *L803*    ************************************************ 
 CCGA100  PROBLEM  - CCGA099 CORRECTIVE CODE WAS IRRELEVANT.
                     THE B REGISTER WAS INCORRECTLY ASSIGNED IN ROUTINE 
                     MFA (MAKE FINAL B-ASSIGNMENTS).
          SOLUTION - REMOVE THE CCGA099 CODE FROM ROUTINE SCT.
                     ADD CODE TO MFA TO RECOGNIZE AN LCM VARIABLE AND 
                     AVOID ASSIGNING A -B- REGISTER FOR IT. 
          RLM     93/07/01   GRA, PROSEQ
  
 *L826*    ************************************************ 
 CCG*94   PROBLEM -  COPYRIGHT STATEMENTS NEED TO BE UPDATED. 
  
          SOLUTION - UPDATE ALL COPYRIGHTS TO 1994 AND CHANGE ANY REFERENCES
                     TO CONTROL DATA CORPORATION TO CONTROL DATA SYSTEMS INC. 
  
          BAO    04/19/94    CCOMISC,CCOMLOL,COMAREG,COMCLFM,COMCSBM,CGTM 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
